<article class="rental">
    {{!-- Calls image component in ./rental/image.hbs and passes props --}}
    <Rental::Image
        src={{@rental.image}}
        alt="A picture of {{@rental.title}}"
    />
    <div class="details">
        {{!-- Link to rental detail (Check rental.hbs and detailed.hbs) --}}
        <h3>
            <LinkTo @route="rental" @model={{@rental}}>
                {{@rental.title}}
            </LinkTo>
        </h3>
        <div class="detail owner">
            <span>Owner:</span> {{@rental.owner}}
        </div>
        <div class="detail type">
            <span>Type:</span> {{@rental.type}}
        </div>
        <div class="detail location">
            <span>Location:</span> {{@rental.city}}
        </div>
        <div class="detail bedrooms">
            <span>Number of bedrooms:</span> {{@rental.bedrooms}}
        </div>
    </div>
    {{!-- Calls map component and passes necessary props for mapbox api --}}
    <Map
        @lat={{@rental.location.lat}}
        @lng={{@rental.location.lng}}
        @zoom="9"
        @width="150"
        @height="150"
        alt="A map of {{@rental.title}}"
    />
</article>